#include <iostream>
#include <cstdlib>
using namespace std;

int main(int argc, char** argv) {
	ios_base::sync_with_stdio(false);
    cin.tie(NULL); cout.tie(NULL);
    
	char niz[2];
	int a1,a2,d=0, min;
	cin>>niz[0];
	cin>>niz[1];
	cin>>a1>>a2;

	if(abs(a1-a2)>1) cout<<"nemoguce";
	else 
	{
		if(a1>a2){
		 cout<<niz[0];
		 d=1;
		 min=a2;	
		}
		else if(a1<a2) 
		{
			cout<<niz[1];
			min=a1;
		}
		else
		min=a1;
		for(int i=0; i<min;i++)
		{
			if(d==0)
			{
				cout<<niz[0];
				cout<<niz[1];
			}
			else
			{
			 cout<<niz[1];
			 cout<<niz[0];	
			}
			
		}
	}

	
	return 0;
}